[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-19 Thread Graham Inggs
cxref was fixed in version 1.6e-9

** Changed in: cxref (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-18 Thread Bug Watch Updater
** Changed in: cxref (Debian)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-12 Thread Bug Watch Updater
** Changed in: cbmc (Debian)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-05 Thread Graham Inggs
pyvkfft seems fixed in 2024.1.2+ds1-1

** Changed in: pyvkfft (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-05 Thread Bug Watch Updater
** Changed in: cbmc (Debian)
   Status: Unknown => New

** Changed in: aspectc++ (Debian)
   Status: Unknown => New

** Changed in: cxref (Debian)
   Status: Unknown => New

** Changed in: rocm-hipamd (Debian)
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-05 Thread Graham Inggs
** Bug watch added: Debian Bug tracker #1070443
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070443

** Also affects: aspectc++ (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070443
   Importance: Unknown
   Status: Unknown

** Bug watch added: Debian Bug tracker #1070444
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070444

** Also affects: cxref (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070444
   Importance: Unknown
   Status: Unknown

** Bug watch added: Debian Bug tracker #1070446
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070446

** Also affects: rocm-hipamd (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070446
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-05-05 Thread Graham Inggs
** Also affects: aspectc++ (Ubuntu)
   Importance: Undecided
   Status: New

** Bug watch added: Debian Bug tracker #1070441
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070441

** Also affects: cbmc (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070441
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-23 Thread Graham Inggs
** Changed in: cbmc (Ubuntu)
   Status: New => Fix Released

** Package changed: aspectc++ (Ubuntu) => ubuntu

** Changed in: ubuntu
   Status: New => Fix Released

** Changed in: nvidia-nccl (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-23 Thread Ɓukasz Zemczak
$ remove-package -m "Remove the arm64 binaries to unblock new proposed packages 
(LP: #2032624)" -s noble -a arm64 -b aspectc++ libpuma-dev cbmc libnccl-dev 
libnccl2
Removing packages from noble:
aspectc++ 1:2.3+git20230726-1 in noble arm64
libpuma-dev 1:2.3+git20230726-1 in noble arm64
cbmc 5.12-5 in noble arm64
libnccl-dev 2.18.3-1-1 in noble arm64
libnccl2 2.18.3-1-1 in noble arm64
Comment: Remove the arm64 binaries to unblock new proposed packages (LP: 
#2032624)
Remove [y|N]? y
5 packages successfully removed.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-23 Thread Graham Inggs
aspectc++, cbmc and nvidia-nccl have new versions in noble-proposed
which are unable to migrate due to missing builds on arm64.

Please removed the following binaries from noble:

 aspectc++ | 1:2.3+git20230726-1   | noble/universe  | arm64
 libpuma-dev | 1:2.3+git20230726-1   | noble/universe  | arm64
 cbmc | 5.12-5| noble/universe  | arm64
 libnccl-dev | 2.18.3-1-1 | noble/multiverse  | arm64
 libnccl2 | 2.18.3-1-1 | noble/multiverse  | arm64

The only reverse-dependency is gloo-cuda, which has never built on
arm64.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-23 Thread Graham Inggs
rocm-hipamd's arm64 binaries were removed in LP: #2061048

** Changed in: rocm-hipamd (Ubuntu)
   Status: New => Fix Released

** Changed in: glibc (Ubuntu)
   Status: Fix Released => Won't Fix

** Changed in: mumax3 (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-12 Thread Simon Chopin
(and of course not include the system headers in its include paths)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-12 Thread Simon Chopin
I'm much more OK with removing the binary than uploading that patch to
glibc.

System headers are just that: headers that reflect the system they're
installed in. The fact that you can sometimes get away with using system
headers when cross-compiling to a different environment is just an
accident, not a feature. Your compiling environment should be providing
its own *complete* set of headers that matches the target environment.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-10 Thread Cory Bloor
All HIP language libraries have been FTBFS on arm64 since the vector
types were added, so this issue has been blocking the libraries from
syncing for several months. The only ones that have been able to update
have been the ones that had always been broken on arm64 for other
reasons.

I've opened a merge request for the glibc package that fixes the issue
for rocm-hipamd, using the following patch:

```
--- glibc.orig/sysdeps/aarch64/fpu/bits/math-vector.h
+++ glibc/sysdeps/aarch64/fpu/bits/math-vector.h
@@ -101,7 +101,8 @@ typedef __attribute__ ((__neon_vector_ty
 typedef __attribute__ ((__neon_vector_type__ (2))) double __f64x2_t;
 #endif
 
-#if __GNUC_PREREQ(10, 0) || __glibc_clang_prereq(11, 0)
+#if (__GNUC_PREREQ(10, 0) || __glibc_clang_prereq(11, 0)) \
+  && !defined(__HIP_DEVICE_COMPILE__)
 #  define __SVE_VEC_MATH_SUPPORTED
 typedef __SVFloat32_t __sv_f32_t;
 typedef __SVFloat64_t __sv_f64_t;
```

I think the only real alternative would be to remove the arm64 build of
rocm-hipamd from the archive. The existing ROCm libraries in noble all
FTBFS on arm64, but the versions that successfully built on arm64 with
older copies of glibc are blocking transitions from proposed to release.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 2032624] Re: mumax3 test suite fails against glibc 2.38

2024-04-10 Thread Cory Bloor
** Merge proposal linked:
   
https://code.launchpad.net/~slavik81/ubuntu/+source/glibc/+git/glibc/+merge/464058

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/2032624

Title:
  mumax3 test suite fails against glibc 2.38

To manage notifications about this bug go to:
https://bugs.launchpad.net/glibc/+bug/2032624/+subscriptions


-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs